Elite Dangerous (incl. Horizons) will be free to keep via Epic store from 19th November (offer available for a week)

I currently have 2 Elite accounts and got the Epic version for a third one. I downloaded from Epic and installed, but as others are experiencing, it says I need an update to run that version. I loaded into one of my other commanders and saw that there was a update there too. I applied it and that account runs fine. So, I tried using the new frontier account I created with the EPIC account to run with my Steam install. No dice. It says I need to purchase the game.

I guess I'll have to wait and see if this gets sorted out by Epic and FDev. Preferably, I'd like to run all three from my Steam version the same as I run my other two using just a copy of the launcher for each commander. Time will tell.

Update: I also tried running the launcher directly from the Epic install directory and bypassing the Epic launch. That still says I that I haven't bought the game. :/ At this point, It appears that FDev doesn't have that account linked to my Epic purchase until the Epic launcher can actually run it, but it can't do that until it updates my Epic install.
 
Last edited:
Preferably, I'd like to run all three from my Steam version the same as I run my other two using just a copy of the launcher for each commander. Time will tell.
That's what I'm hoping too. I have five other accounts I can use from the single Steam version already - only makes sense if I can add this one too.
 
I'm still wondering if the "Invalid Credentials" error I got - before the "You need an update" one - is linked to that impending update. I created a NEW Frontier account, following the step by step guide linked earlier, which took me back to the launcher once it was done. And, indeed, there was now a Launch button for the game, but it still wouldn't let me play, telling me to purchase the game.

The mind boggles how badly this has gone wrong...

Scoob.
 
Make a new frontier account with a new email address, and a new epic account with the new email address.

Link those.

The whole thing is silly though.
Doesn't work, as I've already linked it due to the BAAAAAAAAAAAD tutorial here.
Seriously, it's bad and I'm beyond annoyed.
 
Doesn't work, as I've already linked it due to the BAAAAAAAAAAAD tutorial here.
Seriously, it's bad and I'm beyond annoyed.
Oh ,yeah, that wont unlink your current account - that's a support job (dumb aint it)

But this is how you would get a new account, not linked to your old account.

Then you can get support to unlink your old account from epic.
 
I now have this working, however does anyone know where they have saved the key bindings file ?.

edit it died and now it says i need to upgrade again. Back to my other account for the night and i will see if there is any movement tomorrow. If not then i will just uninstall it i cannot be arsed messing with it to be honest.
 
Last edited:
I have managed to verify my new Frontier account is working...by logging into the Frontier site. Proof that the Launcher - prior to being broken due to the ED update released a few minutes after the Epic version went live - was wrong when it rejected my credentials.

I feel for all those new customers that are having a great time at the moment....

It's NICE venting here...I feel better.

Scoob.
 
I've changed my Epic account's email address and created a second Frontier account with said email address. So far so good. Is it possible to link these without first downloading the entire game from Epic?
 
I've changed my Epic account's email address and created a second Frontier account with said email address. So far so good. Is it possible to link these without first downloading the entire game from Epic?
Sort of?

Epic needs to think the game is installed though - and it'll need to download the launcher.

I part downloaded, then used a symbolic link to point the Products directory to my other products directory which has the actual game files in it - so, if one launcher updates it, the others are all updated (game files wise) too.
 
Urgh. I'm getting the "Please purchase / redeem your copy of ED" message again. What is WRONG with the launcher? I've verified my account is valid, why doesn't it work? I guess I'll go back and try to link it again, assuming that's possible.

Scoob.
 
Top Bottom